import VueRouter from "vue-router";
import Vue from 'vue';
Vue.use(VueRouter)
const routes = [
    {
        path: '/',
        redirect:'/login',
    },
    {
        path:'/login',
        component:() => import('../view/login/Login'),
        name:'login'
    },
    {
        path:'/showPlatform',
        component:() => import('../view/show-platform/ShowPlatform'),
        name:'showPlatform'
    },
    {
        path:'/interfaceBrowseController',
        component:() => import('../view/interfaceKoolkit/interfaceBrowseController'),
        name:'interfaceBrowseController'
    },
    {
        path:'/interfaceBrowseMain',
        component:() => import('../view/interfaceKoolkit/interfaceBrowseMain'),
        name:'interfaceBrowseMain'
    },
    {
        path:'/interfaceBrowseDetails',
        component:() => import('../view/interfaceKoolkit/interfaceBrowseDetails'),
        name:'interfaceBrowseDetails'
    },
    {
        path:'/myInterfaceController',
        component:() => import('../view/interfaceKoolkit/myInterfaceController'),
        name:'myInterfaceController'
    },
    {
        path:'/interfaceBrowse',
        component:() => import('../view/interfaceKoolkit/interfaceBrowse'),
        name:'interfaceBrowse'
    }
]
const router =new VueRouter({
    routes,
    mode:"hash"
})
export default router

